diff --git a/src/libFLAC/md5.c b/src/libFLAC/md5.c
index e5adc3e..91d0aeb 100644
--- a/src/libFLAC/md5.c
+++ b/src/libFLAC/md5.c
@@ -2,6 +2,10 @@
 #  include <config.h>
 #endif
 
+#ifdef ANDROID
+#  include <limits.h>
+#endif
+
 #include <stdlib.h>		/* for malloc() */
 #include <string.h>		/* for memcpy() */
 
diff --git a/src/libFLAC/memory.c b/src/libFLAC/memory.c
index d22df70..8621e6d 100644
--- a/src/libFLAC/memory.c
+++ b/src/libFLAC/memory.c
@@ -34,6 +34,10 @@
 #  include <config.h>
 #endif
 
+#ifdef ANDROID
+#  include <limits.h>
+#endif
+
 #ifdef HAVE_STDINT_H
 #include <stdint.h>
 #endif
